import 'package:flutter/material.dart';
import 'package:get/get.dart';
import '../../../Helper/Constants/Assetconstants.dart';
import '../../../Helper/Constants/Colorconstants.dart';
import 'Termsandconditionsview.dart';
import 'privacy.dart';
import 'customerfaqs.dart';

class FaqTabs extends StatelessWidget {
  const FaqTabs({super.key});

  @override
  Widget build(BuildContext context) {
    return  Scaffold(
      appBar: AppBar(
        title:  Text('Our Policies and FAQ\'s',style: TextStyle(color: ColorConstants.secondaryColor,fontFamily: 'Lato')),
        leading: InkWell(child: const Icon(Icons.arrow_back,color: Colors.white,size: 30),onTap: ()=>Navigator.pop(context)),
        backgroundColor: ColorConstants.primaryColor,
      ),
      body: Column(
        children: [

          Padding(
            padding: const EdgeInsets.only(top: 20,left: 10,right: 10),
            child: InkWell(
              onTap: (){
                Get.to(()=>const CustomerFaqs());
              },
              child: Card(
                shadowColor: ColorConstants.secondaryColor,
                child: Container(
                  height: Get.height*0.08,
                  width: Get.width*0.95,
                  decoration: BoxDecoration(border: Border.all(color: Colors.grey[400]!),borderRadius: BorderRadius.circular(10)),
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.start,
                    crossAxisAlignment: CrossAxisAlignment.center,
                    children: [
                      const SizedBox(width: 10,),
                       Row(
                        children: [
                          Icon(Icons.info_outline,color: Colors.black,size: 36,),
                          SizedBox(width: 10,),
                          Text("FAQ's",style: TextStyle(color: Colors.black,fontSize: 18,fontWeight: FontWeight.bold,fontFamily: 'Lato')),
                        ],
                      ),
                      const Spacer(),
                      SizedBox(
                        height: Get.height*0.10,
                        width: Get.width*0.10,
                        // decoration: const BoxDecoration(color: ColorConstants.primaryColor,borderRadius: BorderRadius.only(topRight: Radius.circular(10),bottomRight: Radius.circular(10))),
                        child: const Center(
                          child: Icon(Icons.arrow_forward_ios,color: Colors.black,size: 22),
                        ),
                      )
                    ],
                  ),
                ),
              ),
            ),
          ),
          Padding(
            padding: const EdgeInsets.only(top: 6,left: 10,right: 10),
            child: InkWell(
              onTap: (){
                Get.to(()=>const Privacy());
              },
              child: Card(
                shadowColor: ColorConstants.secondaryColor,
                child: Container(
                  height: Get.height*0.08,
                  width: Get.width*0.95,
                  decoration: BoxDecoration(border: Border.all(color: Colors.grey[400]!),borderRadius: BorderRadius.circular(10)),
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.start,
                    crossAxisAlignment: CrossAxisAlignment.center,
                    children: [
                      const SizedBox(width: 10,),
                        Row(
                        children: [
                          Image(
                              height: 40,
                              width: 40,
                              image: AssetImage(AssetConstants.privacyPolicy,)),
                          SizedBox(width: 10,),
                          Text("Privacy Policy",style: TextStyle(color: Colors.black,fontSize: 18,fontWeight: FontWeight.bold,fontFamily: 'Lato')),
                        ],
                      ),
                      const Spacer(),
                      SizedBox(
                        height: Get.height*0.10,
                        width: Get.width*0.10,
                        // decoration: const BoxDecoration(color: ColorConstants.primaryColor,borderRadius: BorderRadius.only(topRight: Radius.circular(10),bottomRight: Radius.circular(10))),
                        child: const Center(
                          child: Icon(Icons.arrow_forward_ios,color: Colors.black,size: 22),
                        ),
                      )
                    ],
                  ),
                ),
              ),
            ),
          ),
          Padding(
            padding: const EdgeInsets.only(top: 6,left: 10,right: 10),
            child: InkWell(
              onTap: (){
                Get.to(()=>const TermsAndConditionsView());
              },
              child: Card(
                shadowColor: ColorConstants.secondaryColor,
                child: Container(
                  height: Get.height*0.08,
                  width: Get.width*0.95,
                  decoration: BoxDecoration(border: Border.all(color: Colors.grey[400]!),borderRadius: BorderRadius.circular(10)),
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.start,
                    crossAxisAlignment: CrossAxisAlignment.center,
                    children: [
                      const SizedBox(width: 10,),
                      Row(
                        children: [
                          Icon(Icons.assignment_outlined,color: Colors.black,size: 36,),
                          SizedBox(width: 10,),
                          Text("Term's and conditions",style: TextStyle(color: Colors.black,fontSize: 18,fontWeight: FontWeight.bold,fontFamily: 'Lato')),
                        ],
                      ),
                      const Spacer(),
                      SizedBox(
                        height: Get.height*0.10,
                        width: Get.width*0.10,
                        // decoration: const BoxDecoration(color: ColorConstants.primaryColor,borderRadius: BorderRadius.only(topRight: Radius.circular(10),bottomRight: Radius.circular(10))),
                        child: const Center(
                          child: Icon(Icons.arrow_forward_ios,color: Colors.black,size: 22),
                        ),

                      )
                    ],
                  ),
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}


